Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004948 [JEDI VCL] 00 JVCL Components crash always 2009-09-20 15:30 2009-12-04 15:34
Reporter TimUK View Status public  
Assigned To wapostma
Priority normal Resolution fixed  
Status resolved   Product Version 3.38
Summary 0004948: zlib returned: data error on certain files
Description Trying to decompress attached file gives the following error:

"zlib returned: data error"

Using 3.38, same with 3.37 as well.
Additional Information
Tags No tags attached.
Attached Files zip file icon file.zip [^] (140 bytes) 2009-09-20 15:31

- Relationships

-  Notes
(0016114)
TimUK (reporter)
2009-09-20 15:31
edited on: 2009-09-20 15:32

Please note: extract file before trying to compress/decompress it.

Used demo zlib .exe

(0016122)
outchy (administrator)
2009-09-22 13:04

The attached file "places.sqlite-journal" is empty. This behavior is likely as designed.
(0016123)
TimUK (reporter)
2009-09-22 13:09
edited on: 2009-09-22 13:11

Yes, is it possible to change the behavior somehow? Or maybe continue extraction with the following file skip? As now it just breaks it.

Also, it has no issues with other 0 KB files.

(0016152)
outchy (administrator)
2009-09-22 23:47

Are you talking about the component JvZLibMultiple?
(0016159)
TimUK (reporter)
2009-09-23 10:20

Yes, oh my, sorry.
(0016160)
outchy (administrator)
2009-09-23 10:25

Warren Postma committed 3 fixes to JvZLibMultiple.pas few days ago. One of them seems to solve your problems. You can view the change log at:
http://jvcl.svn.sf.net/viewvc/jvcl/trunk/jvcl/run/JvZlibMultiple.pas?view=log [^]
(0016958)
obones (administrator)
2009-12-04 15:34

I'm assuming this is fixed in SVN

- Issue History
Date Modified Username Field Change
2009-09-20 15:30 TimUK New Issue
2009-09-20 15:30 TimUK IDE version => RAD Studio 2007
2009-09-20 15:30 TimUK Issue Monitored: TimUK
2009-09-20 15:31 TimUK Note Added: 0016114
2009-09-20 15:31 TimUK File Added: file.zip
2009-09-20 15:32 TimUK Note Edited: 0016114
2009-09-22 13:04 outchy Note Added: 0016122
2009-09-22 13:09 TimUK Note Added: 0016123
2009-09-22 13:09 TimUK Note Edited: 0016123
2009-09-22 13:11 TimUK Note Edited: 0016123
2009-09-22 23:47 outchy Note Added: 0016152
2009-09-23 10:20 TimUK Note Added: 0016159
2009-09-23 10:23 outchy Project JEDI Code Library => JEDI VCL
2009-09-23 10:24 outchy Category JclZlib => 00 JVCL Components
2009-09-23 10:24 outchy version => 3.38
2009-09-23 10:25 outchy Note Added: 0016160
2009-09-23 10:25 outchy Status new => feedback
2009-09-23 10:31 TimUK Issue End Monitor: TimUK
2009-09-23 15:10 outchy Assigned To => wapostma
2009-12-04 15:34 obones Note Added: 0016958
2009-12-04 15:34 obones Status feedback => resolved
2009-12-04 15:34 obones Fixed in Version => 3.39
2009-12-04 15:34 obones Resolution open => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker